## audiowsinclimit audiowsinclimit — Low pass and high pass windowed sinc filter |

## Properties

gdouble | frequency | Read / Write
gint | length | Read / Write
GstAudioWSincLimitMode | mode | Read / Write
GstAudioWSincLimitWindow | window | Read / Write
gfloat | cutoff | Read / Write

## Types and Values

struct | GstAudioWSincLimit

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBaseTransform
                    ╰── GstAudioFilter
                        ╰── GstAudioFXBaseFIRFilter
                            ╰── GstAudioWSincLimit

## Description

Attenuates all frequencies above the cutoff frequency (low-pass) or all frequencies below the cutoff frequency (high-pass). The length parameter controls the rolloff, the window parameter controls rolloff and stopband attenuation. The Hamming window provides a faster rolloff but a bit worse stopband attenuation, the other way around for the Blackman window.

This element has the advantage over the Chebyshev lowpass and highpass filter that it has a much better rolloff when using a larger kernel size and almost linear phase. The only disadvantage is the much slower execution time with larger kernels.

### Example launch line

    1
    2
    3
    gst-launch audiotestsrc freq=1500 ! audioconvert ! audiowsinclimit mode=low-pass frequency=1000 length=501 ! audioconvert ! alsasink
    gst-launch filesrc location="melo1.ogg" ! oggdemux ! vorbisdec ! audioconvert ! audiowsinclimit mode=high-pass frequency=15000 length=501 ! audioconvert ! alsasink
    gst-launch audiotestsrc wave=white-noise ! audioconvert ! audiowsinclimit mode=low-pass frequency=1000 length=10001 window=blackman ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | audiofx
author | Thomas Vander Stichele <thomas at apestaart dot org>, Steven W. Smith, Dreamlab Technologies Ltd. <mathis.hofer@dreamlab.net>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-float, width=(int){ 32, 64 }, endianness=(int)1234, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | audio/x-raw-float, width=(int){ 32, 64 }, endianness=(int)1234, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstAudioWSincLimit

    struct GstAudioWSincLimit;

Opaque data structure.

## Property Details

### The `“frequency”` property

      “frequency”                gdouble

Cut-off Frequency (Hz).

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“length”` property

      “length”                   gint

Filter kernel length, will be rounded to the next odd number.

Flags: Read / Write

Allowed values: [3,256000]

Default value: 101

### The `“mode”` property

      “mode”                     GstAudioWSincLimitMode

Low pass or high pass mode.

Flags: Read / Write

Default value: Low pass (default)

### The `“window”` property

      “window”                   GstAudioWSincLimitWindow

Window function to use.

Flags: Read / Write

Default value: Hamming window (default)

### The `“cutoff”` property

      “cutoff”                   gfloat

Cut-off Frequency (Hz).

Flags: Read / Write

Allowed values: [0,100000]

Default value: 0